Bug 112301 - server can't find my content type xsl
Summary: server can't find my content type xsl
Status: ASSIGNED
Alias: None
Product: Red Hat Web Application Framework
Classification: Retired
Component: dev environment   
(Show other bugs)
Version: nightly
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: ccm-bugs-list
QA Contact: Jon Orris
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-12-17 14:04 UTC by Steve Etherington
Modified: 2008-05-01 15:39 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Steve Etherington 2003-12-17 14:04:51 UTC
Description of problem:
Exception due to my content type's .xsl not being found.

in my development env I have
<projname>/web/static/content-types/<package tree>/<mycontent>.xsl

ant deploys this to
$CCM_WEB_HOME/webapps/<projname>/static/content-types/<package
tree>/<mycontent>.xsl

The rest of the content types are in
webapps/ROOT/static/content-types/<package name>
and if I create a link then the exception disappears

Version-Release number of selected component (if applicable):
aplaws 2 dec-5

How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:

Comment 1 Daniel Berrange 2004-02-17 11:42:16 UTC
What's happening is that your content type is deployed to its own
webapp, whereas (for backwards compat) the other types are deployed in
the 'ROOT' webapp. This means you need to add in the '<projname>' as
the first component of the path to the XSL.

So, what path are you specifying for the XSL filepath in the your
initializer ? I suspect you've got

  /web/static/content-types/<package tree>/<mycontent>.xsl

If so, then try changing it to

  <projname>/web/static/content-types/<package tree>/<mycontent>.xsl



Comment 2 Steve Etherington 2004-02-17 11:50:59 UTC
I've actually got /static/content-types/<package tree>/<mycontent>.xsl

I'll try your suggestion out. Is this documented in the content-type 
tutorial and elsewhere?

Comment 3 Steve Etherington 2004-02-25 14:52:43 UTC
It works if I use 

/<projname>/web/static/content-types/<package tree>/<mycontent>.xsl

with the leading forward slash.


Note You need to log in before you can comment on or make changes to this bug.